Subject: RE: [Sip] draft-elwell-sip-connected-identity-01.txt

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Mon, 3 Apr 2006 00:46:36 +0200

Hi Keith,

>The current decision is to see if
http://www.ietf.org/internet-drafts/draft-elwell-sip-connected-identity-
01.txt forms 
>the basis of progressing as a WG item to fulfil our charter item.
>
>As such, it is still discussable and reviewable, but contents have to
abide by WG decision, rather than author 
>preference.
>
>The face-to-face meeting said it was, and we are looking to confirm
that decision using the list.
>
>Does your comment indicate merely something missing that can be added,
or does it indicate that the document is entirely 
>in the wrong direction and therefore you object to the face-to-face
meeting decision.

I think there are things missing, AND I think there are technical
issues.

1. Proxy impacts: There are no words on how the chaning of the URI will
impact intermediate proxies (see separate thread). Normally our
documents contains a "proxy impacts", but not in this. And, there is no
agreed solution, so I consider that issue both MISSING TEXT and
TECHNICAL.

2. Interworking (e.g. with PSTN): As was mentioned by Roland, this
causes problems with interworking, ie it is not "backward compatible"
with the RFCs we have on interworking. Since we normally, when we define
extension, try to consider existing extensions and drafts/RFCs I think
we shall do it also in this case - even if some individuals (those
thinking PSTN will be replaced by IP overnight) probably don't care. So,
I also consider that part both MISSING TEXT and TECHNICAL.

I also disagree on the face-to-face decission that race condition is not
an issue. However, I realize that is maybe more an deployment/use-case
issue whether you can expect the UAC to send an UPDATE/re-INVITE soon
after it has received 200 OK for the initial INVITE. 

Regards,

Christer

> -----Original Message-----
> From: Christer Holmberg (JO/LMF)
> [mailto:[email-masked]]
> Sent: 31 March 2006 13:08
> To: Drage, Keith (Keith); [email-masked]
> Subject: RE: [Sip] draft-elwell-sip-connected-identity-01.txt
> 
> 
> 
> Hi Keith,
> 
> I sent a mail within the "comments on sip-connected-identity" 
> thread. I
> presented some issues with the current solution, but also pointed out 
> that the draft currently does not talk about proxy impacts.
> 
> Regards,
> 
> Christer
> 
>  
> 
> -----Original Message-----
> From: Drage, Keith (Keith) [mailto:[email-masked]]
> Sent: 26. maaliskuuta 2006 19:25
> To: [email-masked]
> Subject: [Sip] draft-elwell-sip-connected-identity-01.txt
> 
> (As chair)
> 
> At the face-to-face meeting at IETF 65 we agreed that 
> http://www.ietf.org/internet-drafts/draft-elwell-sip-connected
-identity-
01.txt formed the basis of part of our charter milestone to provide
"Mechanism for Response Identity to IESG (PS).

This mail is to confirm that decision using the list. If you have issues
with this decision, please respond to this mail.

Note: Please keep responses to this thread entirely separate to the
thread on draft-cao-sip-response-identity

regards

Keith

Keith Drage
[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip